
CREATE TABLE member (
       id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
       username VARCHAR(32) NOT NULL,
       email VARCHAR(255) NOT NULL,
       email_rv VARCHAR(255) NOT NULL,
       UNIQUE KEY(username),
       KEY(email_rv)
) TYPE=InnoDB;

DELIMITER |
CREATE TRIGGER on_insert_member
BEFORE INSERT ON member
FOR EACH ROW BEGIN
  SET NEW.email_rv = REVERSE(NEW.email);
END |

DELIMITER |
CREATE TRIGGER on_update_member
BEFORE UPDATE ON member
FOR EACH ROW BEGIN
  SET NEW.email_rv = REVERSE(NEW.email);
END |